# Ogre::CreateCompositorScriptCompilerEvent Class Reference
[General]

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::CreateCompositorScriptCompilerEvent:
[legend]

List of all members.

## Public Member Functions

| CreateCompositorScriptCompilerEvent (const String &file, const String &name, const String &resourceGroup)

## Public Attributes

String | mFile
String | mName
String | mResourceGroup
String | mType

## Static Public Attributes

static String | eventType

## Detailed Description

Definition at line 561 of file OgreScriptCompiler.h.

## Constructor & Destructor Documentation

Ogre::CreateCompositorScriptCompilerEvent::CreateCompositorScriptCompilerEvent | ( | const String & | file,
|  | const String & | name,
|  | const String & | resourceGroup |
| ) |  |  |

Definition at line 567 of file OgreScriptCompiler.h.

## Member Data Documentation

String Ogre::CreateCompositorScriptCompilerEvent::eventType `[static]`

Definition at line 565 of file OgreScriptCompiler.h.

String Ogre::CreateCompositorScriptCompilerEvent::mFile

Definition at line 564 of file OgreScriptCompiler.h.

String Ogre::CreateCompositorScriptCompilerEvent::mName

Definition at line 564 of file OgreScriptCompiler.h.

String Ogre::CreateCompositorScriptCompilerEvent::mResourceGroup

Definition at line 564 of file OgreScriptCompiler.h.

String Ogre::ScriptCompilerEvent::mType `[inherited]`

Definition at line 330 of file OgreScriptCompiler.h.

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:01